from fastapi import status
from httpx import Response


def handle_request(http_method: str) -> Response:
    """
    Handle a request to a Slurm cluster during testing.

    Parameters
    ----------
    http_method : str
        Used HTTP method of request.

    Returns
    -------
    response : httpx.Response
        Mock response.
    """
    if http_method == "POST":
        # If the method is POST, then a job should be submitted and a job request is expected in the response
        return Response(status_code=status.HTTP_200_OK, json={"job_id": 1})
    return Response(status_code=status.HTTP_200_OK, json={})
